curl --request POST \
--url https://api.kynasmith.dev/api/movespecs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://api.kynasmith.dev/api/movespecs"
payload = {
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://api.kynasmith.dev/api/movespecs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"archived_at": "2023-11-07T05:31:56Z",
"current_released_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"star_count": 0
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Create Movespec
Create a new MoveSpec and its mutable draft.
curl --request POST \
--url https://api.kynasmith.dev/api/movespecs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
'import requests
url = "https://api.kynasmith.dev/api/movespecs"
payload = {
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
description: '<string>'
})
};
fetch('https://api.kynasmith.dev/api/movespecs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"movespec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_at": "2023-11-07T05:31:56Z",
"visibility": "private",
"archived_at": "2023-11-07T05:31:56Z",
"current_released_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"star_count": 0
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Backend-issued machine access token for project-scoped API access.
Headers
Body
Response
Successful Response
Public MoveSpec resource returned to external API consumers.
Internal/first-party fields (organization_id, created_by,
updated_by, caller_starred) have been moved to
MoveSpecFirstPartyResource (#31).
caller_starred returns False for anonymous callers instead
of None (#73). It has been moved to the first-party variant.
Creation timestamp.
MoveSpec identifier.
Display name for the MoveSpec.
Owning project identifier.
Last metadata or release-pointer update timestamp.
Visibility setting. 'delisted' is moderation-only and cannot be set via the API.
private, public, delisted Archive timestamp when no longer writable.
Current released immutable version when one exists.
Human-readable description.
Total organization-level stars for this MoveSpec.